<?php

namespace App\Providers;

use App\Services\CacheManager;
use Illuminate\Cache\CacheServiceProvider as IlluminateCacheServiceProvider;

class CacheServiceProvider extends IlluminateCacheServiceProvider {
        
    public function register()
    {
        parent::register();

        $this->app->singleton('cache', function($app) {
            return new CacheManager($app);
        });
    }
}